<?php 
include '../koneksi.php';
$km  = $_POST['km'];
$tanggal  = $_POST['tanggal'];

$siswa  = $_POST['siswa'];

$inputan = $_POST['inputan'];
$prestasi = $_POST['prestasi'];
$pelanggaran = $_POST['pelanggaran'];

$nomor = rand();

for($a = 0; $a <  count($siswa); $a++){
	$x_siswa = $siswa[$a];
	$x_inputan = $inputan[$a];
	$x_prestasi = $prestasi[$x_siswa];
	$x_pelanggaran = $pelanggaran[$x_siswa];

	for ($b=0; $b < count($x_prestasi); $b++) { 
		$y_prestasi = $x_prestasi[$b];		
		mysqli_query($koneksi, "insert into absen values (NULL, '$nomor', '$tanggal', '$km', '$x_siswa', 'plus', '$y_prestasi', '$x_pelanggaran')");
	}

	for ($b=0; $b < count($x_pelanggaran); $b++) { 
		$y_pelanggaran = $x_pelanggaran[$b];
		mysqli_query($koneksi, "insert into absen values (NULL, '$nomor', '$tanggal', '$km', '$x_siswa', 'minus', '$x_pelanggaran', '$y_pelanggaran')");
	}

}

header("location:kelas_absen.php?km=$km");